#ifndef QRK_ODE_HANDLER_H
#define QRK_ODE_HANDLER_H

/*!
  \file
  \brief ODE の補助

  \author Satofumi KAMIMURA

  $Id: OdeHandler.h 1414 2009-10-14 23:14:02Z satofumi $
*/

#include <ode/ode.h>


namespace qrk
{
  //! ODE の処理クラス
  class OdeHandler
  {
  public:
    OdeHandler(void);
    ~OdeHandler(void);


    dWorldID world(void);
    dSpaceID space(void);
    dGeomID ground(void);
    dJointGroupID contactGroup(void);

  private:
    OdeHandler(const OdeHandler& rhs);
    OdeHandler& operator = (const OdeHandler& rhs);

    struct pImpl;
    pImpl* pimpl;
  };
}

#endif /* !QRK_ODE_HANDLER_H */
